#pragma once

#if defined(_ENERGY_RAPL_) || defined(_ENERGY_NVIDIA_) || defined(_ENERGY_AMD_)
   void Create_PMT(int *devID, const unsigned int numGPUs);
#endif // defined(_ENERGY_RAPL_) || defined(_ENERGY_NVIDIA_) || defined(_ENERGY_AMD_)

#if defined(_ENERGY_RAPL_)
   void Start_PMT_CPU(const char *string);
   void Stop_PMT_CPU(const char *string);
   void Show_PMT_CPU(const char *string);
#endif // _ENERGY_RAPL_

#if defined(_ENERGY_NVIDIA_) || defined(_ENERGY_AMD_)
   void Start_PMT_GPU(const char *string, const int);
   void Stop_PMT_GPU(const char *string, const int);
   void Show_PMT_GPU(const char *string);
#endif // defined(_ENERGY_NVIDIA_) || defined(_ENERGY_AMD_)


